<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [HTTPRequest](./puppeteer.httprequest.md) &gt; [(constructor)](./puppeteer.httprequest._constructor_.md)

## HTTPRequest.(constructor)

Constructs a new instance of the `HTTPRequest` class

<b>Signature:</b>

```typescript
constructor(client: CDPSession, frame: Frame, interceptionId: string, allowInterception: boolean, event: Protocol.Network.requestWillBeSentPayload, redirectChain: HTTPRequest[]);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  client | [CDPSession](./puppeteer.cdpsession.md) |  |
|  frame | [Frame](./puppeteer.frame.md) |  |
|  interceptionId | string |  |
|  allowInterception | boolean |  |
|  event | Protocol.Network.requestWillBeSentPayload |  |
|  redirectChain | [HTTPRequest](./puppeteer.httprequest.md)<!-- -->\[\] |  |

